<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript Fundamentals Level0</title>
</head>

<body>
    <h1>Hello, JavaScript!</h1>

    <script>
        // Exercise 2
        let myPi = 3.14159;
        myPi = 2 * myPi;
        console.log(myPi);

        // Exercise 3
        let randomNumber = parseInt(Math.random() * 100);
        console.log('Random number: ' + randomNumber);

        // Exercise 4
        randomNumber = parseInt(Math.round(Math.random() * 10));
        console.log('Random number again: ', randomNumber);

        // Exercise 5
        // alert('I am an annoying feature!');

        // Exercise 6
        // let isAdult = confirm('Please confirm you are over 18 years old!');
        // if(isAdult) {
        //     console.log('The user is over 18 years old!');
        // } else {
        //     console.log('The user is a minor.');
        // }

        // // Exercise 7
        // let userNumber = parseInt(prompt('Palun sisesta number:'));

        // console.log('For-loop:');
        // for(let i = 0; i <= userNumber; i++) {
        //     console.log(i);
        // }

        // // Exerecise 8
        // let currentNumber = 0;
        // console.log('While-loop:');
        // while(currentNumber <= userNumber) {
        //     console.log(currentNumber++);
        // }

        // // Exercise 9
        // console.log('Do-while-loop:');
        // if (userNumber >= 0) {
        //     currentNumber = 0;
        //     do {
        //         console.log(currentNumber++);
        //     } while(currentNumber <= userNumber);
        // }

        // Exercise 10
        function isAdult(birthYear, birthMonth, birthDate) {
            let currentTime = new Date();
            let currentYear = currentTime.getFullYear();
            let currentMonth = currentTime.getMonth() + 1;
            let currentDate = currentTime.getDate();

            if (currentYear - birthYear > 18) {
                return true;
            } else if (currentYear - birthYear === 18) {
                if (currentMonth > birthMonth) {
                    return true;
                } else if (currentMonth === birthMonth) {
                    return currentDate >= birthDate;
                } else {
                    return false;
                }
            } else {
                return false;
            }
        }

        // let myBirthYear = prompt('Your birth year:');
        // let myBirthMonth = prompt('Your birth month:');
        // let myBirthDate = prompt('Your birth date:');
        // console.log('Is adult: ' + isAdult(myBirthYear, myBirthMonth, myBirthDate));

        // Exercise 11
        const displayPersonInfo = (firstName, lastName, profession) => {
            let template = `
-----------------------
Personal details:
First name: ${firstName}
Last name: ${lastName}
The person is working as a/an ${profession}
----------------------- 
            `;
            console.log(template);
        };

        // let firstName = prompt('First Name:');
        // let lastName = prompt('Last Name:');
        // let profession = prompt('Profession:');
        // displayPersonInfo(firstName, lastName, profession);
    </script>
</body>

</html>